J'essaie d'utiliser keras dans R et l'erreur se produit lorsque j'essaie d'appeler flow_images_from_dataframe():

Error in flow_images_from_dataframe() : 
  Pandas (python module) must be installed in the same environment as Keras.Install it using reticulate::virtualenv_install("pandas", envname = "r-tensorflow") or reticulate::conda_install("pandas", envname = "r-tensorflow") depending on the kind of environment you are using.

J'ai essayé ce qui suit:

reticulate::py_module_available("pandas")
# FALSE.

# checking that environment is there:
reticulate::virtualenv_list()
# "r-reticulate" "r-tensorflow"

# activate the environment:
use_virtualenv('r-tensorflow')

reticulate::virtualenv_install("pandas", envname = "r-tensorflow")
# ...
# ...
# Installing collected packages: pandas
# Successfully installed pandas-1.1.5

# Trying again:
py_module_available("pandas")
# FALSE

# The issue is specific to pandas, other modules are fine:
reticulate::py_module_available('scipy')
# TRUE
0
Vasily A 26 févr. 2021 à 23:51

1 réponse

Meilleure réponse

Je ne comprends toujours pas quel était le problème et pourquoi virtualenv_install() n'a pas fait le travail, mais la solution qui m'a aidé était aussi simple que

py_install("pandas")
0
Vasily A 26 févr. 2021 à 23:55